package cn.iocoder.yudao.module.smartfactory.controller.screendata.factory.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * 功能描述
 *
 * @author: yj
 * @date: 2024年03月05日 13:55
 */
@Schema(description = "大屏数据 - 资产数据 Response VO")
@Data
public class PropertyDataRespVO {

    @Schema(description = "窑炉数量", requiredMode = Schema.RequiredMode.REQUIRED, example = "1024")
    private Integer kilnTotal;

    @Schema(description = "打包线数量", requiredMode = Schema.RequiredMode.REQUIRED, example = "200")
    private Integer packLineTotal ;

    @Schema(description = "托盘数", requiredMode = Schema.RequiredMode.REQUIRED, example = "100")
    private Integer trayTotal ;

    @Schema(description = "绑带", requiredMode = Schema.RequiredMode.REQUIRED, example = "100")
    private Integer tieTotal ;

    @Schema(description = "叉车数据", requiredMode = Schema.RequiredMode.REQUIRED)
    private ForkliftInfo forkliftInfo ;

    class ForkliftInfo {
        @Schema(description = "叉车数", requiredMode = Schema.RequiredMode.REQUIRED, example = "100")
        private Integer forkliftTotal ;

        @Schema(description = "运行中", requiredMode = Schema.RequiredMode.REQUIRED, example = "100")
        private Integer onlineTotal ;

        @Schema(description = "离线", requiredMode = Schema.RequiredMode.REQUIRED, example = "3")
        private Integer outLineTotal ;

    }



}
