package cn.iocoder.yudao.module.smartfactory.controller.screendata.factory.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * 功能描述
 *
 * @author: yj
 * @date: 2024年03月05日 13:55
 */
@Schema(description = "大屏数据 - 省份工厂数据 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ProvincesDataRespVO {

    @Schema(description = "区域名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "江西省 or 高安市")
    private String name;

    @Schema(description = "区域标记点", requiredMode = Schema.RequiredMode.REQUIRED, example = "[114.173355, 22.320048]")
    private List<Double> center;

    @Schema(description = "区域标记点oid", requiredMode = Schema.RequiredMode.REQUIRED, example = "[114.134357, 22.377366]")
    private List<Double> centroid;

    @Schema(description = "区域代码", requiredMode = Schema.RequiredMode.REQUIRED, example = "810000")
    private Integer adcode;

    @Schema(description = "英文名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "jiangxi")
    private String enName;

    @Schema(description = "工厂数量", requiredMode = Schema.RequiredMode.REQUIRED, example = "10")
    private Integer value;

    /**
     * 只有到第三层 district_id 区县的时候，需要输出工厂ID
     */
    @Schema(description = "工厂Id", requiredMode = Schema.RequiredMode.REQUIRED, example = "10")
    private Long factoryId;
}
