package cn.iocoder.yudao.module.smartfactory.controller.screendata.factory.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * 功能描述
 *
 * @author: yj
 * @date: 2024年03月05日 13:55
 */
@Schema(description = "大屏数据 - 工厂员工数据 Response VO")
@Data
public class StaffDataRespVO {

    @Schema(description = "员工数量", requiredMode = Schema.RequiredMode.REQUIRED, example = "1024")
    private Integer total;

    @Schema(description = "男员工", requiredMode = Schema.RequiredMode.REQUIRED, example = "200")
    private Integer maleTotal ;

    @Schema(description = "女员工", requiredMode = Schema.RequiredMode.REQUIRED, example = "100")
    private Integer femaleTotal ;

    @Schema(description = "员工信息", requiredMode = Schema.RequiredMode.REQUIRED, example = "阿依塔洪·阿依提巴依 搬运工")
    private List<StaffInfo> staffInfos ;

    class StaffInfo {
        @Schema(description = "员工名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "马龙")
        private String name ;
        @Schema(description = "岗位名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "叉车司机")
        private String postName ;
    }

}
