package cn.iocoder.yudao.module.smartfactory.dal.mysql.factoryinfo;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.smartfactory.dal.dataobject.factoryinfo.FactoryInfoDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.smartfactory.controller.admin.factoryinfo.vo.*;

/**
 * 工厂信息 Mapper
 *
 * @author 姚君
 */
@Mapper
public interface FactoryInfoMapper extends BaseMapperX<FactoryInfoDO> {

    default PageResult<FactoryInfoDO> selectPage(FactoryInfoPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<FactoryInfoDO>()
                .likeIfPresent(FactoryInfoDO::getName, reqVO.getName())
                .likeIfPresent(FactoryInfoDO::getShortName, reqVO.getShortName())
                .likeIfPresent(FactoryInfoDO::getCode, reqVO.getCode())
                .eqIfPresent(FactoryInfoDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(FactoryInfoDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(FactoryInfoDO::getSort));
    }

}