package cn.iocoder.yudao.module.smartfactory.service.factoryinfo;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.smartfactory.controller.admin.factoryinfo.vo.*;
import cn.iocoder.yudao.module.smartfactory.dal.dataobject.factoryinfo.FactoryInfoDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 工厂信息 Service 接口
 *
 * @author 姚君
 */
public interface FactoryInfoService {

    /**
     * 创建工厂信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createFactoryInfo(@Valid FactoryInfoSaveReqVO createReqVO);

    /**
     * 更新工厂信息
     *
     * @param updateReqVO 更新信息
     */
    void updateFactoryInfo(@Valid FactoryInfoSaveReqVO updateReqVO);

    /**
     * 删除工厂信息
     *
     * @param id 编号
     */
    void deleteFactoryInfo(Long id);

    /**
     * 获得工厂信息
     *
     * @param id 编号
     * @return 工厂信息
     */
    FactoryInfoDO getFactoryInfo(Long id);

    /**
     * 获得工厂信息分页
     *
     * @param pageReqVO 分页查询
     * @return 工厂信息分页
     */
    PageResult<FactoryInfoDO> getFactoryInfoPage(FactoryInfoPageReqVO pageReqVO);

}