package cn.iocoder.yudao.module.smartfactory.service.screendata;

import cn.iocoder.yudao.module.smartfactory.controller.screendata.factory.vo.*;

import java.util.List;

/**
 * 大屏数据 Service 接口
 *
 * @author 姚君
 */
public interface ScreenDataService {

    /**
     * 大屏全局省份/省/市工厂数据
     * adcode是null，就查询全部省份数据
     * @param adcode 省/市/区编码
     * @return 显示数据
     */
    List<ProvincesDataRespVO> getProvincesData(Integer type, String adcode) ;


    /**
     * 查询员工数据
     * factoryId是null，查询所有工厂员工数据
     * @param factoryId 工厂ID ，
     * @return
     */
    StaffDataRespVO getStaffData(Long factoryId) ;

    /**
     * 查询资产数据
     * @param factoryId
     * factoryId是null，查询所有工厂资产数据
     * @return
     */
    PropertyDataRespVO getPropertyData(Long factoryId) ;


    /**
     * 查询工厂运营数据
     * @param factoryId
     * factoryId是null，查询所有工厂运营数据
     * @return
     */
    OperateDataRespVO getFactoryOperateData(Long factoryId) ;

    /**
     * 大屏工厂滚屏数据查询
     * @return
     */
    FactoryRollDataRespVO getFactoryRollData() ;

    /**
     * 获取工厂监控设备集合
     * @param factoryId
     * @return
     */
    List<FactoryCameraDataRespVO> getFactoryCamerasData(Long factoryId) ;

    /**
     * 获取工厂对应城市的天气数据
     * @param factoryId
     * @return
     */
    FactoryWeatherDataRespVO getFactoryWeatherInfo(Long factoryId) ;

    /**
     * 根据类型获取工厂打包线数据
     * @param type       1= 今日 2= 本周
     * @param factoryId
     * @return
     */
    List<FactoryPackLineDataRespVO> getFactoryPackLineInfo(Integer type,Long factoryId) ;
}